v1.0.0
OpenAPI 3.1.0
Get a translation of a campaign message
Client Libraries
US region
Returns a translated version of a message in a campaign. The message is identified by the action_id.
The ID of the campaign that you want to trigger or return information about.
The action you want to lookup or act on.
A language tag of a language variant. If you don't provide a language (an empty string), we'll use your default language. If the language variant does not exist, we'll return an error.
The campaignID or actionID is invalid. It could also be that the language requested does not exist for this action.
The campaign and/or action do not exist.
Your request is over the 10-per-second limit.
curl 'https://api.customer.io/v1/campaigns/3/actions/1/language/{language}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"action": {
"id": 96,
"broadcast_id": 2,
"deduplicate_id": "15:1492548073",
"name": "Opening Message",
"layout": "string",
"created": 1552341937,
"updated": 1552341937,
"body": "string",
"type": "email",
"sending_state": "automatic",
"language": "fr",
"from": "sentFrom@example.com",
"from_id": 1,
"reply_to": "replyto@example.com",
"reply_to_id": 38,
"preprocessor": "premailer",
"recipient": "{{customer.email}}",
"subject": "Did you get that thing I sent you?",
"cc": "string",
"bcc": "string",
"fake_bcc": true,
"preheader_text": "string",
"body_amp": "string",
"campaign_id": 5,
"parent_action_id": 1,
"headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
}
}Returns information for the requested campaign action language variant.